Create a frame spatial annotation
POST
/v1/datasets/{datasetId}/frame-spatial-annotationscurl -X POST 'https://api.embodiflow.io/v1/datasets/{datasetId}/frame-spatial-annotations' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"datasetVersionId": "00000000-0000-0000-0000-000000000000",
"datasetVersionFileId": "00000000-0000-0000-0000-000000000000",
"frameIndex": 0,
"frameStampSec": 0,
"frameStampNsec": 0,
"timeReference": "string",
"datasetClassId": "00000000-0000-0000-0000-000000000000",
"className": "string",
"trackId": "string",
"trackKey": "string",
"bboxX": 0,
"bboxY": 0,
"bboxWidth": 0,
"bboxHeight": 0,
"occluded": true,
"truncated": true,
"reviewStatus": "string",
"status": "string",
"attributesJson": {}
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- datasetIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- datasetVersionIdstring (uuid) | null
- datasetVersionFileIdstring (uuid)必填
- frameIndexnumber必填
- frameStampSecnumber | null
- frameStampNsecnumber | null
- timeReferencestring必填
- datasetClassIdstring (uuid) | null
- classNamestring | null
- trackIdstring | null
- trackKeystring | null
- bboxXnumber必填
- bboxYnumber必填
- bboxWidthnumber必填
- bboxHeightnumber必填
- occludedboolean | null
- truncatedboolean | null
- reviewStatusstring
- statusstring
- attributesJsonobject | null
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- datasetIdstring必填
- datasetVersionIdstring | null必填
- datasetVersionFileIdstring必填
- frameIndexnumber必填
- frameStampSecnumber | null必填
- frameStampNsecnumber | null必填
- timeReferencestring必填
- datasetClassIdstring | null必填
- classNamestring | null必填
- trackIdstring | null必填
- trackKeystring | null必填
- bboxXnumber必填
- bboxYnumber必填
- bboxWidthnumber必填
- bboxHeightnumber必填
- occludedone of | null必填
- truncatedone of | null必填
- reviewStatusstring必填
- statusstring必填
- publishedSnapshotIdstring | null必填
- createdBystring | null必填
- updatedBystring | null必填
- createdAtstring必填
- updatedAtstring必填
- deletedAtstring | null必填
- attributesJsonobject | null必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"datasetId": "string",
"datasetVersionId": "string",
"datasetVersionFileId": "string",
"frameIndex": 0,
"frameStampSec": 0,
"frameStampNsec": 0,
"timeReference": "string",
"datasetClassId": "string",
"className": "string",
"trackId": "string",
"trackKey": "string",
"bboxX": 0,
"bboxY": 0,
"bboxWidth": 0,
"bboxHeight": 0,
"occluded": false,
"truncated": false,
"reviewStatus": "string",
"status": "string",
"publishedSnapshotId": "string",
"createdBy": "string",
"updatedBy": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"attributesJson": {}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1